For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • PUTUpdate A Company User
              • GETGet Company Users
              • POSTCreate A Company User
              • PUTUpdate Company User
              • POSTBulk Create Company User
              • GETGet A Company User
              • DELDelete A Company User
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIUser

Create A Company User

Deprecated
POST
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/users
POST
/api/v2/io/companies/:companyId/users
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/users \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "alice.jones@techcorp.com",
> "firstName": "Alice",
> "lastName": "Jones",
> "phone": "+14155552671"
>}'
1{
2 "code": 200,
3 "data": {
4 "customerId": "1024",
5 "userId": "2048"
6 },
7 "message": "Success"
8}
Create a company user, which belongs company
Was this page helpful?
Previous

Get Company Users

Next

Update Company User

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Extra Field Values
emailstringRequired
firstNamestringRequired
lastNamestringRequired
phonestringRequired
acceptWelcomeEmailenumOptional

(0=will not receive email 1=will receive email)

Allowed values:
userRolestringOptional

user role(0=admin 1=senior_buyer 2=junior_buyer 3=sales_rep)

uuidstringOptional
channelIdslist of integersOptional
BigCommerce channel id list
originChannelIdintegerOptional
BigCommerce channel id, used for BigCommerce customer origin channel id. This field takes effect only when the store default b2b channel is not configured
companyRoleIdintegerOptional
The company role id. This field is only applicable to the company's RBAC feature. If your store doesn't utilize this feature, please do not use this field. When it has a value, it will override the value of the userRole field.
extraFieldslist of objectsOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error
404
Not Found Error